<?php
/*****************************************************************************
 * ID   : $Id: page_attribute_tb.php,v 1.2 2007/08/18 08:17:57 secondarykey Exp $
 * Name : 属性テーブルアクセスクラス
 * Specifications : ページ属性のテーブルにアクセスする
 ****************************************************************************/
  class page_attribute_tb { 

	/**
	 * 基底クラス使用変数
	 */
	var $myColumnName       = "id,pageid";
	var $myOrgWhere         = "id";
	var $myOrderBy          = "id";

	/**
	 * メンバ変数
	 **/	
 	var $myID;

	/**
	 * オブジェクト生成
	 */
	function exists($aTemplateID,$aPageID) {

		//テーブル名を作成	
		$tablename = page_attribute_tb::getTableName($aTemplateID);
	
		$con = DatabaseAccess::getConnection();
		$sql = "select count(*) from " . $tablename .
		       " where pageid = " . $aPageID;
		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return false;
		}
		$row = mysql_fetch_array($query); 

		$count = $row[0];
		mysql_free_result($query);

		$rtn = false;
		if ( $count > 0 ) {
			$rtn = true;
		}
		return $rtn;	
	}
	
	/**
	 * オブジェクト生成
	 */
	function getFieldArray($aTemplateID,$aPageID) {

		$rtnArray = array();
		//テーブル名を作成	
		$tablename = page_attribute_tb::getTableName($aTemplateID);

		$con = DatabaseAccess::getConnection();
		$sql = "select * from " . $tablename .
		       " where pageid = " . $aPageID;
		//検索を行う
		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return null;
		}
		$row = mysql_fetch_array($query); 

		//PHP4ではコピーだがPHP5では参照らしい
		$rtnArray = $row;

		mysql_free_result($query);
		return $rtnArray;	
	}
	
	/**
	 * テーブル名称を設定
	 */
	function getTableName( $aTemplateID ) {	
		$tablename = sprintf("page_attribute%s_tb",$aTemplateID);
		return $tablename;
	}
	
	/**
	 * 検索を行う
	 */
	function selectPageID( $aTemplateID,$aWhere ) {

		$rtnArray = array();
		//テーブル名を作成	
		$tablename = page_attribute_tb::getTableName($aTemplateID);

		$con = DatabaseAccess::getConnection();
		$sql = "select * from " . $tablename;
		if ( $aWhere != "" ) {
			$sql = $sql . " where " . $aWhere;
		}

		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return null;
		}

		$rtnArray = array();
		//オブジェクト数回繰り返す
		while ( $row = mysql_fetch_object($query) ) {
			$pageid = $row->pageid;
			$rtnArray[] = $pageid;
		}
		return $rtnArray;	
	}
	
  	/**
	 * ページテンプレート属性テーブル削除
	 */
	function delete($aTemplateID,$aPageID) {

		//テーブル名を作成	
		$tablename = page_attribute_tb::getTableName($aTemplateID);
	
		$con = DatabaseAccess::getConnection();
		$sql = "delete from " . $tablename .
		       " where pageid = " . $aPageID;
		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return false;
		}
		return true;
	}
  
	/**
	 * ページテンプレート属性テーブル削除
	 */
	function drop($aTemplateID) {
		//テーブル名を作成	
		$tablename = page_attribute_tb::getTableName($aTemplateID);
		//コネクションを取得
		$con = DatabaseAccess::getConnection();
		//DROP文を生成
		$sql = "drop table " . $tablename;
		//実行
		$query = mysql_query($sql,$con);
		if ( $query == FALSE ) {
			return false;
		}
		return true;
	}
  }
?>
