<?php
/*****************************************************************************
 * ID   : $Id: page_order_exec.php,v 1.2 2007/08/18 08:07:01 secondarykey Exp $
 * Name : 表示順序更新
 * Specifications : ページの表示順序の更新を行う
 ****************************************************************************/
//全クラスの読み込み
require_once('application.php');

$pid      = 0;
$exec     = "";
$priority = 0;

//優先順位の設定がある場合
if ( isset($_POST['priority']) ) {
	//IDを設定
	$priority = $_POST['priority'];
}
//押したボタンを取得
if ( isset($_POST['exec']) ) {
	//IDを設定
	$exec = $_POST['exec'];
}
//押したボタンを取得
if ( isset($_POST['parent_id']) ) {
	//IDを設定
	$pid = $_POST['parent_id'];
}

$indent = -1;
//上設定だった場合
if ( $exec == "↑" ) {
	$indent = 1;
}

//更新する優先順位を作成
$move_priority = $priority + $indent;

//********************************************************
$page_tb = new page_tb();

//ターゲットのページを取得
$pageTargetArray = $page_tb->selectPagePriority($pid,$priority);
//移動先のページを取得
$pageMoveArray = $page_tb->selectPagePriority($pid,$move_priority);

$targetPage = $pageTargetArray[0];
$movePage   = $pageMoveArray[0];

//優先順位を交換
$targetPage->setPriority($move_priority);
$movePage->setPriority($priority);

//２つのページを更新
$targetPage->update($targetPage->getID());
$movePage->update($movePage->getID());

//再度表示
header("Location: page_order.php?id=".$pid);

//********************************************************

?>