<?php
/*****************************************************************************
 * ID   : $Id: StaticObject.php,v 1.1 2007/03/16 14:05:52 secondarykey Exp $
 * Name : 
 * Specifications :
 ****************************************************************************/
static $gStaticObject = null;
static $gStaticReloadFlag = true;
class StaticObject
{
	var $static_page_tb;
	var $staticArray = null;
	
	// コンストラクタ
	function StaticObject() {
	}

	//インスタンスを取得	
	function getInstance() {
		
		global $gStaticObject,$gStaticReloadFlag;
		if ( $gStaticObject == null ) {
			$gStaticObject = new StaticObject();
		}
		//読み込み指定がある場合	
		if ( $gStaticReloadFlag == true ) {
			$gStaticObject->reload();
		}
		return $gStaticObject;
	}

	/**
	 * リロード設定に変更する
	 */	
	function setReload() {
		global $gStaticReloadFlag;
		$gStaticReloadFlag = true;
	}
	
	/**
	 * データ作成
	 */
	function reload() {
		global $gStaticReloadFlag;
		//全件検索
		$tb = new static_page_tb;
		$staticArray = $tb->select();
		$this->static_page_tb = $staticArray[0];
		$gStaticReloadFlag = false;
		return;
	}

	//スタティックのリンクを取得
	function src($aID) {
		return "./static/" . $aID . ".php";
	}
}
?>
