<?php
/*****************************************************************************
 * ID   : $Id: file_tb.php,v 1.1 2007/03/16 14:05:52 secondarykey Exp $
 * Name : 
 * Specifications :
 ****************************************************************************/
  class file_tb extends tables { 

	/**
	 * 基底クラス使用変数
	 */
	var $myTableName        = "file_tb";
	var $myColumnName       = "id,name,ext";
	var $myInsertColumnName = "name,ext";
	var $myOrgWhere         = "id";
	var $myOrderBy          = "id";

	/**
	 * メンバ変数
	 **/	
 	var $myID;
	var $myName;
	var $myExt;	

	/**
	 * 表挿入用のデータ
	 */
	function getInsertValue() {
		return "'" . $this->myName . "'," .
                "'" . $this->myExt  . "'";
	}	

	/**
	 * 更新用のデータ
	 */
	function getUpdateValue() {
		return " name = '" . $this->myName . "'";
	}	

	/**
	 * オブジェクト生成
	 */
	function createObject($aRow) {
		$obj = new 	file_tb();
		$obj->setID($aRow->id);
		$obj->setName($aRow->name);
		$obj->setExt($aRow->ext);
		return $obj;
	}
	
	function getFilePath() {
		return SiteObject::get("FILE_PATH");
	}
	
	function getSrc() {
		return $this->createFileSrc('.');
	}
	
	function getManageSrc() {
		return $this->createFileSrc('../..');
	}
	
	function createFileSrc($aDir) {
		return $aDir . "/res/" . $this->getID();
	}

	/**
	 * ファイルデータを取得
	 */	
	function getFileData($aID) {
		$id_path = file_tb::getFilePath() . $aID;
		$data = "";
		if ( file_exists($id_path) ) {
			$fh=fopen($id_path,"r");
			$data = fgets($fh);
			fclose($fh);
		}
		return $data;	
	}

	/**
	 * ファイルの更新
	 */	
	function updateFileData($aID,$aData) {
		//ファイル名を取得
		$fileName = file_tb::getFilePath() . $aID;
		$fh=fopen($fileName,"w");
		if ( $aData != "" ) {
			$value = str_replace("\x0D\x0A", "\x0D", $aData); 
			$value = str_replace("\\\"", "\"", $value); 
			$value = str_replace("\\\'", "\'", $value); 	
			fputs($fh,$value);
		}
		fclose($fh);

		return;
	}
	/**
	 * ファイルを削除
	 */
	function deleteFile($aID) {
		//ファイル名を取得
		$id_path = file_tb::getFilePath() . $aID;
		if ( file_exists($id_path) ) {
			$fh=unlink($id_path);
		}
		return;
	}
	
  	function getID() {
		return $this->myID;
	}

	function getName() {
		return $this->myName;
	}
	
	function getExt() {
		return $this->myExt;
	}
	
	function setID($aID) {
		$this->myID = $aID;
	}
	
	function setName($aName) {
		$this->myName = $aName;
	}
	
	function setExt($aExt) {
		$this->myExt = $aExt;
	}
  } 
?>
